# Set-RASBrokerAutoPromotionSettings

### NAME

Set-RASBrokerAutoPromotionSettings\ <br>

### SYNOPSIS

Modifies Parallels RAS Broker Auto Promotion settings.\ <br>

### SYNTAX

Set-RASBrokerAutoPromotionSettings \[-[AutoPromoteAfterMins](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASBrokerAutoPromotionSettings.html#AutoPromoteAfterMins) *\<uint>*] \[-[Enabled](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASBrokerAutoPromotionSettings.html#Enabled) *\<bool>*] \[-[FailbackEnabled](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASBrokerAutoPromotionSettings.html#FailbackEnabled) *\<bool>*] \[-[Replicate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASBrokerAutoPromotionSettings.html#Replicate) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASBrokerAutoPromotionSettings.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASBrokerAutoPromotionSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The Set-RASBrokerAutoPromotionSettings cmdlet modifies Parallels RAS Broker Auto Promotion settings using the specified parameters and their values.\
\
All parameters are optional.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The site ID to which the Parallels RAS Broker Auto Promotion settings refer to.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Enabled \<bool>**\
Whether Auto Promotion is enabled or not.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**AutoPromoteAfterMins \<uint>**\
The amount of time (in mins) required to enable auto promotion.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**FailbackEnabled \<bool>**\
Whether Failback is enabled or not.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Replicate \<bool>**\
Whether Replicate is enabled or not.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASBrokerAutoPromotionSettings -AllowAutoPromo $false\
\
Modifies the specified AllowAutoPromo parameter.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasbrokerautopromotionsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
